haversine.hpp File Reference
`#include <cmath>`
`#include <iterator>`
`#include <osmium/geom/coordinates.hpp>`
`#include <osmium/geom/util.hpp>`
`#include <osmium/osm/node_ref.hpp>`
`#include <osmium/osm/way.hpp>`
Include dependency graph for haversine.hpp:

Go to the source code of this file.

## Namespaces

| osmium
| Namespace for everything in the Osmium library.
| osmium::geom
| Everything related to geometry handling.
| osmium::geom::haversine
| Functions to calculate arc distance on Earth using the haversine formula.

## Functions

double | osmium::geom::haversine::distance (const osmium::geom::Coordinates &c1, const osmium::geom::Coordinates &c2)
double | osmium::geom::haversine::distance (const osmium::WayNodeList &wnl)

## Variables

constexpr double | osmium::geom::haversine::EARTH_RADIUS_IN_METERS = 6372797.560856
| Earth's quadratic mean radius for WGS84. More...